Loading...
Searching...
No Matches
BALL::RotateBonds Class Reference

`#include <BALL/DOCKING/GENETICDOCK/rotateBonds.h>`

## Public Member Functions

| RotateBonds (const vector< Bond * > *rotatable_bonds)
| RotateBonds (const RotateBonds &rb)
RotateBonds & | operator= (const RotateBonds &rb)
| ~RotateBonds ()
void | rotate (std::vector< double > vec)
int | numberBonds ()

## Detailed Description

Definition at line 22 of file rotateBonds.h.

## Constructor & Destructor Documentation

## RotateBonds() [1/2]

BALL::RotateBonds::RotateBonds | ( | const vector< Bond * > * | rotatable_bonds | ) |

## RotateBonds() [2/2]

BALL::RotateBonds::RotateBonds | ( | const RotateBonds & | rb | ) |

copy constructor

## ~RotateBonds()

BALL::RotateBonds::~RotateBonds | ( |  | ) |

default destructor

## Member Function Documentation

## numberBonds()

int BALL::RotateBonds::numberBonds | ( |  | ) |

returns number of rotable bonds

## operator=()

RotateBonds & BALL::RotateBonds::operator= | ( | const RotateBonds & | rb | ) |

assignment operator

## rotate()

void BALL::RotateBonds::rotate | ( | std::vector< double > | vec | ) |

rotate all rotable bonds according to vec